module QRAPI
  class Survey::Expiration < BaseModel
    attribute :start_date
    attribute :end_date

    ##
    # Make the model serializeable by ActiveModelSerializer
    #
    # @return [OpenStruct]
    #
    def self.model_name
      OpenStruct.new(name: "QRAPI::MailingList",
                     klass: self,
                     singular: "qualtrics_survey_expiration",
                     plural: "qualtrics_survey_expirations",
                     element: "survey_expiration",
                     human: "survey_expiration",
                     collection: "qrapi/survey_expirations",
                     param_key: "qualtrics_survey_expirations",
                     i18n_key: "qrapi/survey_expirations",
                     route_key: "qualtrics_survey_expirations",
                     singular_route_key: "qualtrics_survey_expiration")
    end
  end
end
