module QRAPI
  class LibraryMessage < BaseModel
    attribute :id
    attribute :category
    attribute :description
    attribute :messages

    ##
    # Make the model serializeable by ActiveModelSerializer
    #
    # @return [OpenStruct]
    #
    def self.model_name
      OpenStruct.new(name: "QRAPI::MailingList",
                     klass: self,
                     singular: "qualtrics_library_message",
                     plural: "qualtrics_library_messages",
                     element: "library_message",
                     human: "library_message",
                     collection: "qrapi/library_messages",
                     param_key: "qualtrics_library_messages",
                     i18n_key: "qrapi/library_messages",
                     route_key: "qualtrics_library_messages",
                     singular_route_key: "qualtrics_library_message")
    end
  end
end
